/*
 * Created with SharpDevelop.
 * Author: Markus Schlichting
 * 
 * Released unter the GNU GPL.
 */

using System;
using System.Drawing;
using System.Windows.Forms;

namespace ImageResizer
{
	/// <summary>
	/// Description of Form1.
	/// </summary>
	public class AboutScreen : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.LinkLabel lnkEmail;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.LinkLabel lnkLblGnuGPL;
		private System.Windows.Forms.LinkLabel lnkLblGPLFAQ;
		private System.Windows.Forms.LinkLabel lnkURL;
		public AboutScreen()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			this.lnkEmail.Links.Add(0,this.lnkEmail.Text.Length,"mailto:m.schlichting@mynethome.de?subject=ImageResizer");
			this.lnkURL.Links.Add(0,this.lnkURL.Text.Length,"http://www.mynethome.de");
			this.lnkLblGnuGPL.Links.Add(0,this.lnkLblGnuGPL.Text.Length,"http://www.gnu.org/licenses/gpl.html");
			this.lnkLblGPLFAQ.Links.Add(0,this.lnkLblGPLFAQ.Text.Length,"http://www.gnu.org/licenses/gpl-faq.html");
			
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			this.lnkURL = new System.Windows.Forms.LinkLabel();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.lnkEmail = new System.Windows.Forms.LinkLabel();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.lnkLblGnuGPL = new System.Windows.Forms.LinkLabel();
			this.lnkLblGPLFAQ = new System.Windows.Forms.LinkLabel();
			this.groupBox1.SuspendLayout();
			this.SuspendLayout();
			// 
			// lnkURL
			// 
			this.lnkURL.Location = new System.Drawing.Point(48, 64);
			this.lnkURL.Name = "lnkURL";
			this.lnkURL.Size = new System.Drawing.Size(144, 16);
			this.lnkURL.TabIndex = 1;
			this.lnkURL.TabStop = true;
			this.lnkURL.Text = "http://www.mynethome.de";
			this.lnkURL.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnk_LinkClicked);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 120);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(192, 32);
			this.label3.TabIndex = 2;
			this.label3.Text = "Fehlermeldungen und Anregungen bitte an";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 32);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(200, 32);
			this.label4.TabIndex = 3;
			this.label4.Text = "Geschrieben um schnell und einfach viele Bilder in ihrer Gre anzupassen.";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(32, 96);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(104, 23);
			this.label5.TabIndex = 4;
			this.label5.Text = "Released under the";
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.lnkEmail);
			this.groupBox1.Controls.Add(this.lnkURL);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.Location = new System.Drawing.Point(0, 152);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(224, 88);
			this.groupBox1.TabIndex = 1;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "Autor";
			// 
			// lnkEmail
			// 
			this.lnkEmail.Location = new System.Drawing.Point(40, 40);
			this.lnkEmail.Name = "lnkEmail";
			this.lnkEmail.Size = new System.Drawing.Size(168, 16);
			this.lnkEmail.TabIndex = 2;
			this.lnkEmail.TabStop = true;
			this.lnkEmail.Text = "m.schlichting@mynethome.de";
			this.lnkEmail.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnk_LinkClicked);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(72, 16);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(100, 16);
			this.label2.TabIndex = 0;
			this.label2.Text = "Markus Schlichting";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Verdana", 15.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(0, 0);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(240, 32);
			this.label1.TabIndex = 0;
			this.label1.Text = "Image Resizer ";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lnkLblGnuGPL
			// 
			this.lnkLblGnuGPL.Location = new System.Drawing.Point(136, 96);
			this.lnkLblGnuGPL.Name = "lnkLblGnuGPL";
			this.lnkLblGnuGPL.Size = new System.Drawing.Size(56, 16);
			this.lnkLblGnuGPL.TabIndex = 5;
			this.lnkLblGnuGPL.TabStop = true;
			this.lnkLblGnuGPL.Text = "GNU GPL";
			this.lnkLblGnuGPL.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnk_LinkClicked);
			// 
			// lnkLblGPLFAQ
			// 
			this.lnkLblGPLFAQ.Location = new System.Drawing.Point(192, 96);
			this.lnkLblGPLFAQ.Name = "lnkLblGPLFAQ";
			this.lnkLblGPLFAQ.TabIndex = 6;
			this.lnkLblGPLFAQ.TabStop = true;
			this.lnkLblGPLFAQ.Text = "(FAQ)";
			this.lnkLblGPLFAQ.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnk_LinkClicked);
			// 
			// AboutScreen
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(226, 247);
			this.Controls.Add(this.lnkLblGPLFAQ);
			this.Controls.Add(this.lnkLblGnuGPL);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "AboutScreen";
			this.ShowInTaskbar = false;
			this.Text = "About Image Resizer";
			this.groupBox1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion
		
		private void lnk_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
    {
        string target = e.Link.LinkData as string;

        if(null != target && (target.StartsWith("www")||target.StartsWith("http")||target.StartsWith("mailto")))
        {
            System.Diagnostics.Process.Start(target);
        }
       
    }

	}
}
