using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ImageResizer
{
    public partial class FlickrStartAuth : Form
    {
        private string _flickrUrl;
        
        public FlickrStartAuth(string webAdress)
        {
            InitializeComponent();
            _flickrUrl = webAdress;
        }

        private void FlickrStartAuth_Load(object sender, EventArgs e)
        {

        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void btnContinue_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(_flickrUrl);
            label1.Text = "Haben sie auf Ihrer Flickr-Seite den Zugriff gestattet? Dann bitte 'fortfahren'.";
            btnProceed.Visible = true;
            btnCancel.Visible = false;
            btnContinue.Visible = false;
        }

        private void btnProceed_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

       }
}