using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ImageResizer
{
    public partial class FtpConfig : Form
    {
        private Properties.Settings _AppSettings;
        public FtpConfig()
        {
            InitializeComponent();
            _AppSettings = new Properties.Settings();
            txtServer.Text = _AppSettings.FtpServer;
            txtUser.Text = _AppSettings.FtpUser;
            txtPassword.Text = _AppSettings.FtpPassword;
            txtPath.Text = _AppSettings.FtpPath;

        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            _AppSettings.FtpServer = txtServer.Text;
            _AppSettings.FtpUser = txtUser.Text;
            _AppSettings.FtpPassword = txtPassword.Text;
            _AppSettings.FtpPath = txtPath.Text;
            _AppSettings.Save();
            this.DialogResult = DialogResult.OK;
        }


    }
}