using System;
using System.Collections.Generic;
using System.Text;
using FlickrNet;

/*Flickr:
 * 
 * Key: 48335010e1d1e8a821f712b06e39ad02
 * Secret: 	c5dfa4aa76345be8
 */

namespace ImageResizer
{
    class FlickrAccess
    {
        private const String _apiKey = ""; // TODO: Insert API Key
        private const String _sharedSecret = ""; // TODO: Insert SharedSecret
        private String _frob;
        private FlickrNet.Flickr _flickr;

        private Properties.Settings _AppSettings;

        public FlickrAccess()
        {
            _AppSettings = new Properties.Settings();
        }

        public void Search(string tagName)
        {
            _flickr = new Flickr(_apiKey);
            String[] t = new String[1];
            t[0] = tagName;
            Photos result = _flickr.PhotosSearch(t);
            PhotoCollection pc = result.PhotoCollection;
            foreach (Photo p in pc)
            {
                Console.WriteLine("Photo title is" + p.Title.ToString());
            }

        }

        public System.Windows.Forms.DialogResult startAuthMe()
        {
            _flickr = new Flickr(_apiKey, _sharedSecret);
            _frob = _flickr.AuthGetFrob();
            string authUrl = _flickr.AuthCalcUrl(_frob, AuthLevel.Write);
            FlickrStartAuth fsa = new FlickrStartAuth(authUrl);
            return fsa.ShowDialog();
        }

        public bool continueAuthMe()
        {
            _flickr = new Flickr(_apiKey, _sharedSecret);
            try
            {
                Auth a = _flickr.AuthGetToken(_frob);

                //Token in den Einstellungen speichern
                _AppSettings.FlickrAuthToken = a.Token;
                _AppSettings.Save();
                
                return true;
            }
            catch (FlickrException)
            {
                throw;
            }
        }
        

        public string uploadPicture(string file) 
        {
            _flickr = new Flickr(_apiKey, _sharedSecret, _AppSettings.FlickrAuthToken);
            return _flickr.UploadPicture(file);
        }

    }
}
