using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ImageResizer
{
    public partial class PicView : Form
    {
        public PicView()
        {
            InitializeComponent();
        }

        public Image Image
        {
            get { return this.pictureBox.Image; }
            set { this.pictureBox.Image = value;}
        }

        public void Scale()
        {
            //adjust windowsize
            double factor = (double)this.Height/(double)this.pictureBox.Image.Height;
            this.Width = Convert.ToInt32(
                            Math.Round(
                                (double)this.pictureBox.Image.Width * factor
                            )
                         );
            this.pictureBox.Width = this.Width;
            this.pictureBox.SizeMode = PictureBoxSizeMode.Zoom;    
            
        }

        private void pictureBox_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}